package com.morozov.core_backend_api.chat.requests

data class ChatGetMessagesRequest(
    //Идентификатор чата
    //Обязательное поле
    var chat_id: Long,

    //Если не задано - то 0
    //С какого сообщения начать выдачу (если 0 - то с самого первого или с самого последнего в зависимости от направления получения сообщений)
    //Если указан идентификатор не существующего сообщения, то он будет преобразован в 0
    var message_id: Long = 0,

    //Если не задано - то 0,
    //0 - получение сообщений от текущего к более старым (например message_id = 123, соответственно будут выбираться сообщения с id < 123
    //1 - получение сообщений от текущего к более новым
    var direction: Int = 0,

    //Если не задано - то в соответствии с общим конфигом
    //Количество получаемых сообщений (максимальное количество за 1 запрос - не более 300?)
    var amount: Int? = null,

    //Если не задано - то 0
    //Номер страницы смещения для получения сообщений
    var page: Int? = 0,

    //Если не задано -то false
    //Если указано true - то будут возвращены не только идентификаторы сообщений, но и отдельно полные сообщения.
    //Если false - то full_message возвращены не будут.
    var full_message: Boolean = false,

    //Если нужно только сообщения без ответа на них(комменты)
    var no_reply: Boolean? = null,

    //0 - все подряд без сортировки
    //1- древовидная структура
    var group_type_reply: Int? = 0,

    //Количество комментов в ветке в случае древовидной структуры
    var tree_reply_amount: Int? = null,

    // Если возвращаются полные сообщения по данный флаг указывает надо инфу о создателе сообщения возвращать или нет
    var add_message_owner: Boolean? = null

)